Page MenuHomePhabricator

Evaluate how hard would be to get aa(wikibooks|wiktionary) and howiki databases deleted
Closed, ResolvedPublic

Description

In order to help the LangCom make a decission with regards to the proposal of wiki deletion, I'd like to know how many complications you'd expect to face if the databases from aa.wikibooks and aa.wiktionary; and howiki as well. Please note that the wikis are locked for ~10 years now so I guess not so much data will be there. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 9:22 PM
MarcoAurelio renamed this task from Evaluate how hard would be to get aa(wikibooks|wiktionary) databases deleted to Evaluate how hard would be to get aa(wikibooks|wiktionary) and howiki databases deleted.Jul 6 2017, 9:26 PM
MarcoAurelio updated the task description. (Show Details)

Deleting it just from the database can create inconsistencies. I wouldn't feel too comfortable just issuing a drop database in production. I would rather get mediawiki handle its deleting and all the related checks to be honest.

Does "I would rather get mediawiki handle its deleting and all the related checks to be honest." mean you would like to have a function in MediaWiki that can delete the wiki's database? Or just that the pages in the wiki should be deleted using the normal MediaWiki interface?

What exactly is the purpose of deleting wikis? It provides no benefit and is more likely to break things.

Thanks for this reply. I think that settles it.

MF-Warburg closed this task as Resolved.Jul 20 2017, 10:15 PM
MF-Warburg claimed this task.

Maybe it's just me, but when it comes that a project is dead, absolutely dead, with no content and no chances of revival I feel deletion makes a lot of sense. I do not conceive having a site up and running to display just a main page and nothing else; and it is not that deletion would break horribly. As far as I know, the centralauth table for that wiki should be cleaned and the rest of them can be just DROP-ed, according to the Wikitech docs. If there are other background processes or data that needs to be updated as part of the deletion, please document them for the future. Thanks.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 19 2017, 8:37 PM